part of swagger.api;

class Job {
  /* Describes the identification number (UUID) of a fax job */
  String id = null;
/* Describes the account the job does belongs to */
  String account = null;
/* Describes the current state of the fax job */
  String status = null;
  //enum statusEnum {  scheduling,  scheduled,  processing,  halted,  locked,  canceled,  finished,  error,  };
/* If status is equal to 'error' this field contains the error code number */
  int errorCode = null;

  JobOptions options = null;

  JobInfo info = null;

  JobStatistics statistics = null;

  Job();

  @override
  String toString() {
    return 'Job[id=$id, account=$account, status=$status, errorCode=$errorCode, options=$options, info=$info, statistics=$statistics, ]';
  }

  Job.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    account = json['account'];
    status = json['status'];
    errorCode = json['errorCode'];
    options = new JobOptions.fromJson(json['options']);
    info = new JobInfo.fromJson(json['info']);
    statistics = new JobStatistics.fromJson(json['statistics']);
  }

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'account': account,
      'status': status,
      'errorCode': errorCode,
      'options': options,
      'info': info,
      'statistics': statistics
     };
  }

  static List<Job> listFromJson(List<dynamic> json) {
    return json == null ? new List<Job>() : json.map((value) => new Job.fromJson(value)).toList();
  }

  static Map<String, Job> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, Job>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new Job.fromJson(value));
    }
    return map;
  }
}
