part of swagger.api;

class JobRecipient {
  /* Recipient fax number */
  String faxNumber = null;
/* Normed recipient fax number */
  String faxNumberNorm = null;
/* The International Dialing Code used for this fax */
  String internationalDialingCode = null;
/* Recipient name */
  String name = null;
/* Recipient reference */
  String recipientReference = null;
/* Used fare zone for fax */
  int fareZone = null;
/* Time the was send to recipient. The format complies with ISO 8601 and contains date and time */
  DateTime senderTime = null;
/* Contains the result code for the fax. Value is only present if a result of the fax transmission is available, otherwise it is 'null'. Please see here for further information: <a href=\"https://hilfe.faxverteiler.com/ergebnis-code/\"><b>https://hilfe.faxverteiler.com/ergebnis-code/</b></a> */
  int resultCode = null;
/* Contains the result text for the fax. Value is only present if a result of the fax transmission is available, otherwise it is 'null'. Please see here for further information: <a href=\"https://hilfe.faxverteiler.com/ergebnis-code/\"><b>https://hilfe.faxverteiler.com/ergebnis-code/</b></a> */
  String resultText = null;

  JobRecipient();

  @override
  String toString() {
    return 'JobRecipient[faxNumber=$faxNumber, faxNumberNorm=$faxNumberNorm, internationalDialingCode=$internationalDialingCode, name=$name, recipientReference=$recipientReference, fareZone=$fareZone, senderTime=$senderTime, resultCode=$resultCode, resultText=$resultText, ]';
  }

  JobRecipient.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    faxNumber = json['faxNumber'];
    faxNumberNorm = json['faxNumberNorm'];
    internationalDialingCode = json['internationalDialingCode'];
    name = json['name'];
    recipientReference = json['recipientReference'];
    fareZone = json['fareZone'];
    senderTime = json['senderTime'] == null ? null : DateTime.parse(json['senderTime']);
    resultCode = json['resultCode'];
    resultText = json['resultText'];
  }

  Map<String, dynamic> toJson() {
    return {
      'faxNumber': faxNumber,
      'faxNumberNorm': faxNumberNorm,
      'internationalDialingCode': internationalDialingCode,
      'name': name,
      'recipientReference': recipientReference,
      'fareZone': fareZone,
      'senderTime': senderTime == null ? '' : senderTime.toUtc().toIso8601String(),
      'resultCode': resultCode,
      'resultText': resultText
     };
  }

  static List<JobRecipient> listFromJson(List<dynamic> json) {
    return json == null ? new List<JobRecipient>() : json.map((value) => new JobRecipient.fromJson(value)).toList();
  }

  static Map<String, JobRecipient> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, JobRecipient>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new JobRecipient.fromJson(value));
    }
    return map;
  }
}
