part of swagger.api;

class JobStatistics {
  /* Number of pages for the fax */
  int pages = null;
/* Describes the surcharge for the fax */
  int surcharge = null;
/* Number of recipient for the fax */
  int recipientCount = null;
/* Number of recipient with a successful sent fax in the job */
  int recipientCountSuccessful = null;
/* Number of recipient without a successful sent fax in the job */
  int recipientCountError = null;

  JobStatistics();

  @override
  String toString() {
    return 'JobStatistics[pages=$pages, surcharge=$surcharge, recipientCount=$recipientCount, recipientCountSuccessful=$recipientCountSuccessful, recipientCountError=$recipientCountError, ]';
  }

  JobStatistics.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    pages = json['pages'];
    surcharge = json['surcharge'];
    recipientCount = json['recipientCount'];
    recipientCountSuccessful = json['recipientCountSuccessful'];
    recipientCountError = json['recipientCountError'];
  }

  Map<String, dynamic> toJson() {
    return {
      'pages': pages,
      'surcharge': surcharge,
      'recipientCount': recipientCount,
      'recipientCountSuccessful': recipientCountSuccessful,
      'recipientCountError': recipientCountError
     };
  }

  static List<JobStatistics> listFromJson(List<dynamic> json) {
    return json == null ? new List<JobStatistics>() : json.map((value) => new JobStatistics.fromJson(value)).toList();
  }

  static Map<String, JobStatistics> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, JobStatistics>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new JobStatistics.fromJson(value));
    }
    return map;
  }
}
